Skip to content

Retrieve Import Bulk Translation File Job Errors

After submitting a request to import a bulk translation file, you can query Vault to determine the errors from the request (if any).

Before submitting this request:

  • You must have previously requested an Import Bulk Translation File job (via the API) which is no longer active
  • You must be the user who initiated the job or have the Admin: Jobs: Read permission
GET/api/{version}/services/jobs/{job_id}/errors
NameDescription
Accepttext/csv
NameDescription
{job_id}The id value of the requested import job. This was returned from the Import Bulk Translation File request.
curl -X GET -H "Authorization: {SESSION_ID}" \ https://myvault.veevavault.com/api/v25.1/services/jobs/902601/errors
"Line Number","Error Message" "3760","line 3,760: Translation of ""objectStateBehavior.glossary_definition_lifecycle__sys#approved_state__sys#change_state_to_draft_useraction1__sys.label"" not supported" "3762","line 3,762: Translation of ""objectStateBehavior.glossary_definition_lifecycle__sys#approved_state__sys#change_state_to_withdrawn_useraction__sys.label"" not supported" "3764","line 3,764: Translation of ""objectStateBehavior.glossary_definition_lifecycle__sys#draft_state__sys#change_state_to_in_review_useraction__sys.label"" not supported" "3766","line 3,766: Translation of ""objectStateBehavior.glossary_definition_lifecycle__sys#in_review_state__sys#change_state_to_approved_useraction__sys.label"" not supported" "3768","line 3,768: Translation of ""objectStateBehavior.glossary_definition_lifecycle__sys#in_review_state__sys#change_state_to_draft_useraction__sys.label"" not supported" "3770","line 3,770: Translation of ""objectStateBehavior.glossary_definition_lifecycle__sys#withdrawn_state__sys#change_state_to_draft_useraction2__sys.label"" not supported"

On SUCCESS, the response includes the line number and error message for any errors encountered in the job.